<template>
    <div
        v-if="isNaN(amount)"
        class="relative block min-h-full min-w-full"
    >
        <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke-width="1.5"
            stroke="currentColor"
            class="text-gray-500 absolute top-1/2 left-1/2 -mt-0.5 h-7 w-7 text-center"
        >
            <path
                stroke-linecap="round"
                stroke-linejoin="round"
                d="M16.5 10.5V6.75a4.5 4.5 0 10-9 0v3.75m-.75 11.25h10.5a2.25 2.25 0 002.25-2.25v-6.75a2.25 2.25 0 00-2.25-2.25H6.75a2.25 2.25 0 00-2.25 2.25v6.75a2.25 2.25 0 002.25 2.25z"
            />
        </svg>
    </div>

    <span
        v-else
        :class="[amount >= 0.0 ? 'text-black' : 'text-tum-orange-danger', planned ? 'italic' : 'font-bold']"
    >
        <slot> {{ amount.toFixed(2) }}€ </slot>
    </span>
</template>

<script setup lang="ts">
defineProps({
    amount: {
        type: Number,
        required: true,
    },
    planned: {
        type: Boolean,
        default: false,
    },
})
</script>
